#!/usr/bin/perl
# Copyright (c) 2006 Alan W. Mahoney. All rights reserved. 
# This program is free software.  You may modify and/or 
# distribute it under the same terms as Perl itself.  
# This copyright notice must remain attached to the file.  
#
# converts from old to new items.txt structure

while (<STDIN>) {
  chomp;
  if(/^\s*$/) {
    print $_,"\n";
    next;
  }
  if(/^#/) {
    print $_,"\n";
    next;
  }
  /^\s*(\d+)\s+(\d+)\s+(.*?)\s*$/ or die "Can't read line $_";

  print $2,
  ($2 < 1000 ? " " : ""),
  ($2 < 100 ? " " : ""),
  ($2 < 10 ? " " : ""),
  " ", 
  $1,
  ($1 < 100000000 ? " " : ""),
  ($1 < 10000000 ? " " : ""),
  ($1 < 1000000 ? " " : ""),
  ($1 < 100000 ? " " : ""),
  ($1 < 10000 ? " " : ""),
  ($1 < 1000 ? " " : ""),
  ($1 < 100 ? " " : ""),
  ($1 < 10 ? " " : ""),
  " ",
  $3,"\n";
}
